package com.bonus.canteen.core.allocation.canteen.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@ApiModel("AllocAreaAddDTO")
public class AllocAreaAddDTO {
   @ApiModelProperty("区域编号")
   private String areaNum;
   @ApiModelProperty(
      value = "区域名称",
      required = true
   )
   private @NotBlank(
   message = "区域名称,不能为空"
) String areaName;
   @ApiModelProperty(
      value = "上级区域id",
      required = true
   )
   private @NotNull(
   message = "上级区域id,不能为空"
) Long superId;
   @ApiModelProperty("负责人")
   private String director;
   @ApiModelProperty("联系电话")
   private String contactTel;
   @ApiModelProperty("区域描述")
   private String areaDescribe;

   public String getAreaNum() {
      return this.areaNum;
   }

   public String getAreaName() {
      return this.areaName;
   }

   public Long getSuperId() {
      return this.superId;
   }

   public String getDirector() {
      return this.director;
   }

   public String getContactTel() {
      return this.contactTel;
   }

   public String getAreaDescribe() {
      return this.areaDescribe;
   }

   public void setAreaNum(final String areaNum) {
      this.areaNum = areaNum;
   }

   public void setAreaName(final String areaName) {
      this.areaName = areaName;
   }

   public void setSuperId(final Long superId) {
      this.superId = superId;
   }

   public void setDirector(final String director) {
      this.director = director;
   }

   public void setContactTel(final String contactTel) {
      this.contactTel = contactTel;
   }

   public void setAreaDescribe(final String areaDescribe) {
      this.areaDescribe = areaDescribe;
   }

}
